Distribution: 	CCux
Packager: 	Karsten Brockmann  <arcam@ccux.de>
Name: 		octave
Version: 	3.0.1
Release: 	1
Source0: 	%{name}-%{version}.tar.bz2
Summary: 	numerical computation language
URL: 		http://www.gnu.org/software/octave/
License: 	GNU/GPL
Group: 		Science/Mathmatics
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  lapack
BuildRequires:  glibc-devel
BuildRequires:  ncurses-devel
BuildRequires:  readline-devel
BuildRequires:  libstdc++-devel
PreReq:         /sbin/install-info

# Require for rpm lzma compression
Requires:        rpm >= 4.4.2.3-1

%description
GNU Octave is a high-level language, primarily intended for numerical computations. It provides a convenient command line interface for solving linear and nonlinear problems numerically, and for performing other numerical experiments using a language that is mostly compatible with Matlab. It may also be used as a batch-oriented language.

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
     /sbin/install-info --del %{_infodir}/%{name}.info.gz %{_infodir}/dir
fi

%prep
%setup -n %{name}-%{version}


%build
./autogen.sh
./configure 	--prefix=%{_prefix} \
		--mandir=%{_mandir} \
		--infodir=%{_infodir} \
		--enable-shared --libexecdir=%_libdir

make %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT
 

%files
%defattr(-,root,root)
%_bindir
%_mandir
%_libdir/%{name}-%{version}/*.so.*
%_libdir/%{name}/*
%_datadir/%{name}
%_datadir/applications
%_infodir
%exclude /usr/share/info/dir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/%{name}-%{version}/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 03 2008 Christian Metzen <metzench@ccux-linux.de> 3.0.1-1
- Version update
* Tue Jan 29 2008 Christian Metzen <metzench@ccux-linux.de> 3.0.0-2
- rebuild against gcc 4.1.2, moved libexecdir
* Wed Dec 26 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.0.0-1
- Version update
* Sun Nov 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.9.16-1
- Version update
* Thu Oct 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.9.15-1
- Version update
* Thu Jun 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.1.73-1
- Initial release

